/****************************************************************************
XSTUFF.H: prototypes for functions in xstuff.c
****************************************************************************/

void circle(point, GC *);			/* draw shapes in the drawing area */
void cross(point, GC *);
void square(point, GC *);
void arrow(point, GC *);
void rmvline(int, GC *);			/* remove line from drawing area */

void showvalues();					/* show ship parameters and status */
void redrawship();					/* redraw edit area */
void drawsmall();						/* redraw example area */
void cleararea();						/* clear any area */

void x_label(Widget, char *);		/* change label of a widget */
void x_initcolors();					/* make / allocate colors */
void x_initgc();						/* make graphic modes */
void x_initsmallfont();				/* load a smaller font */
void x_init(int, char **);			/* start x-stuff */
void x_doevents();					/* handle event buffer */
