/****************************************************************************
EDITSS.H: prototypes for functions in editss.c
****************************************************************************/

void killcr (char *);				/* remove CRs from string */
void killsp (char *);			  	/* remove spaces from string */
char *stringupp(char *);		  	/* make string uppercase */

void getshiplib();				  	/* update shiplib name into shiplib string */
void getshipname();				  	/* update ship name into shipname string */
void getshipaut();				  	/* update ship author into shipaut string */

char *userpath();							/* get the user root */
void loaddefs(void);						/* load .xxpmsrc file */
void fillin(char *, fileinfo);		/* service routine for parsefile() */
int parsefile(char *, fileinfo *);	/* parse a file & fileinfo array */

int getoneshipdef(char *, FILE *);	/* get one line from a file */
void getdir();								/* read entire shipfile */

void checkship(ship *);					/* check a ship for errors */

int findline(int, int);					/* find line closest to a point */
int cx(int);								/* scale conversion routines */
int cy(int);
int rx(int);
int ry(int);
int rs(int);

